Redmine - Defect #26485

Problems with any project settings and /my/page after upgrade to 3.4.2.stable.16838
2017-07-20 17:19 - Anton Oslyak

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.4.2
Description

After uprgrading to Redmine from 3.3.2.stable.16321 to 3.4.2.stable.16838

Could not open setting in any projects.
In log:

Completed 200 OK in 28ms (Views: 6.6ms | ActiveRecord: 6.8ms)
Started GET "/projects/actionpipf/settings" for 188.188.188.188 at 2017-07-20 18:10:53 +0300
Processing by ProjectsController#settings as HTML
Parameters: {"id"=>"actionpipf"}
Current user: oslyak (id=1)
Rendered projects/_form.html.erb (66.7ms)
Rendered projects/_edit.html.erb (68.1ms)
Rendered common/_tabs.html.erb (72.9ms)
Rendered projects/settings.html.erb within layouts/base (74.6ms)
Completed 500 Internal Server Error in 11llms (ActiveRecord: 14.0ms)

ActionView: :Template: :Error (undefined method “default_assigned_to_id' for #<Project:0x007£1178a91
628>
Did you mean? default_assigned_to
default_assigned_to=) :

25: <% end %>

26:

27: <% if @project.safe_attribute?('default_assigned_to_id') && (default_assigned_to_options =
project_default_assigned_to_options (@project)) .present? %>

28: <p><%= f.select :default_assigned_to_id, default_assigned_to_options, include_blank: tru
e %></p>

29: <% end %>

30:

31: <%= wikitoolbar_for 'project_description' %>
lib/redmine/views/labelled_form_builder.rb:38:in "select'
app/views/projects/_form.html.erb:28:in *_d60d570444£22f8d01cecd08019£5840"
app/views/projects/_edit.html.erb:2:in “block in _4f48aeb04d4c09fd1953chb8e59f676ea’
app/helpers/application_helper.rb:1189:in "labelled_form_for'
app/views/projects/_edit.html.erb:1:in *_4f48aeb04d4c09fd1953cb8e59f676ea’
app/views/common/_tabs.html.erb:17:in “block in _a6ealcdfca63321721e62d0alaa7ddfb’
app/views/common/_tabs.html.erb:16:in “each'
app/views/common/_tabs.html.erb:16:in °~_a6ealcdfca63321721e62d0alaa7ddfb’
app/helpers/application_helper.rb:344:in "“render_tabs'
app/views/projects/settings.html.erb:3:in ~_828eaal555a354alb693f5e69f8dbbdb’
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

If | tried open /my/page
Started GET "/my/page" for 188.188.188.188 at 2017-07-20 18:16:43 +0300
Processing by MyController#page as HTML
Current user: oslyak (id=1)
Rendered plugins/redmine_my_page_queries/app/views/my/page.html.erb within layouts/base (5.0ms)

Completed 500 Internal Server Error in 33ms (ActiveRecord: 7.4ms)

ActionView: :Template::Error (No route matches {:action=>"page_layout", :controller=>"my"}):
<%= stylesheet_link_tag 'my_page_qgueries', plugin: 'redmine_my_page_queries' %>
<%= javascript_include_tag 'my_page_queries', plugin: 'redmine_my_page_dgueries' %>

<div class="contextual">
<%= link_to 1l(:label_personalize_page), action: 'page_layout' %>
</div>

o U W N

7: <h2><%= 1 (:label_my_page) %></h2>
plugins/redmine_my_page_queries/app/views/my/page.html.erb:4:in ~_021cd64d0al434cad49£496031d£877
95"
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

History

#2 - 2017-07-20 17:28 - Toshi MARUYAMA
- Category deleted (Administration)
- Status changed from New to Closed

- Resolution set to Invalid

You did not run "rake db:migrate".
source:tags/3.4.2/db/migrate/20170309214320_add_project default_assigned_to_id.rb

#3 - 2017-07-20 17:30 - Toshi MARUYAMA

And it is obviously caused by redmine_my_page_queries plugin.

#4 - 2017-08-04 06:14 - Fundoo Site
Toshi MARUYAMA wrote:

You did not run "rake db:migrate".
source:tags/3.4.2/db/migrate/20170309214320_add_project_default_assigned_to_id.rb

How to execute this in Bitnami--> windows OS

#5 - 2017-08-04 10:44 - Toshi MARUYAMA

Please ask bitnami team.
#6 - 2018-03-09 14:17 - Aleksandar Pavic

In EasyRedmine, | had to manually add that database column...
(Also on Windows platform, though...)
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.4.2/db/migrate/20170309214320_add_project_default_assigned_to_id.rb
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.4.2/db/migrate/20170309214320_add_project_default_assigned_to_id.rb
